---
name: Moriah Akers
locality:
country: Remote
role: <a href="">Customer Success Manager</a>
reports_to: chloe
picture: 5E4CBD53-0811-4763-AF62-2FBBEA247F24.JPG
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: makers8574532
departments:
- CSM
- Customer Success
- Customer Success Managers
specialty:
expertise:
story:
job_title: Customer Success Manager
division: Sales
public: true

